Charge user for a parking session invoice
POST
/payments/v1/charge-payment/
const url = 'https://api.nudova.dev/api/payments/v1/charge-payment/';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"invoice_id":1,"payment_method_id":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.nudova.dev/api/payments/v1/charge-payment/ \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "invoice_id": 1, "payment_method_id": 1 }'POST /api/v1/charge-payment/
Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Media typeapplication/json
object
invoice_id
required
Invoice id
ID of the invoice to pay
integer
payment_method_id
Payment method id
Optional: ID of payment method to use. Uses default if not provided
integer
Examplegenerated
{ "invoice_id": 1, "payment_method_id": 1}Responses
Section titled “Responses”Media typeapplication/json
object
invoice_id
required
Invoice id
ID of the invoice to pay
integer
payment_method_id
Payment method id
Optional: ID of payment method to use. Uses default if not provided
integer
Examplegenerated
{ "invoice_id": 1, "payment_method_id": 1}